org.klomp.snark.web

## Class Sorters

- java.lang.Object
- - org.klomp.snark.web.Sorters

-     class Sorters
      extends Object

  Comparators for various columns

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Sorters.FileAndIndex` Class to precompute and efficiently sort data on a torrent file entry.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Sorters()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Comparator<Snark>` | `getComparator(int type, String lang, I2PSnarkServlet servlet)` Negative is reverse 0, 1: Name 2: Status 3: Peers 4: ETA 5: Size 6: Downloaded 7: Uploaded 8: Down rate 9: Up rate 10: Remaining (needed) 11: Upload ratio 12: File type
    `static Comparator<Sorters.FileAndIndex>` | `getFileComparator(int type, I2PSnarkServlet servlet)` Negative is reverse 0, 1: Name 5: Size 10: Remaining (needed) 12: File type 13: Priority

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Sorters

          Sorters()

  - ### Method Detail

    - #### getComparator

          public static Comparator<Snark> getComparator(int type,
                                                        String lang,
                                                        I2PSnarkServlet servlet)

      Negative is reverse
      - 0, 1: Name
      - 2: Status
      - 3: Peers
      - 4: ETA
      - 5: Size
      - 6: Downloaded
      - 7: Uploaded
      - 8: Down rate
      - 9: Up rate
      - 10: Remaining (needed)
      - 11: Upload ratio
      - 12: File type
      Parameters:
        `servlet` - for file type callback only

    - #### getFileComparator

          public static Comparator<Sorters.FileAndIndex> getFileComparator(int type,
                                                                           I2PSnarkServlet servlet)

      Negative is reverse
      - 0, 1: Name
      - 5: Size
      - 10: Remaining (needed)
      - 12: File type
      - 13: Priority
      Parameters:
        `servlet` - for file type callback only